Initialize a post upload

POST/posts/v1/projects/{projectId}/feeds/{feedId}/posts/upload/init

Begin a media upload and create a draft post

Authorization<token>

In: header

Path Parameters

projectId*string

Project ID

feedId*string

Feed ID

Request Body

required
application/json
{
  "$ref": "#/components/schemas/internal_posts.initUploadBody",
  "$ref-value": {
    "properties": {
      "content_type": {
        "enum": [
          "image",
          "video"
        ],
        "type": "string"
      },
      "creator_id": {
        "type": "string"
      },
      "description": {
        "type": "string"
      },
      "file_name": {
        "type": "string"
      },
      "format": {
        "type": "string"
      },
      "image_format": {
        "type": "string"
      },
      "video_quality": {
        "type": "string"
      }
    },
    "required": [
      "content_type",
      "file_name",
      "format"
    ],
    "type": "object"
  }
}

Response Body

201application/json

Created

type: unknown

{
  "$ref": "#/components/schemas/postsv1.PostUploadInit",
  "$ref-value": {
    "properties": {
      "content_id": {
        "type": "string"
      },
      "content_upload_url": {
        "type": "string"
      },
      "post_id": {
        "type": "string"
      },
      "poster_id": {
        "type": "string"
      },
      "poster_upload_url": {
        "type": "string"
      },
      "upload_expires": {
        "type": "integer"
      }
    },
    "type": "object"
  }
}
curl -X POST "https://api.rixl.com/posts/v1/projects/string/feeds/string/posts/upload/init" \
  -H "Content-Type: application/json" \
  -d '{
    "content_type": "image",
    "file_name": "string",
    "format": "string"
  }'

Created

application/json

{
  "$ref": "#/components/schemas/postsv1.PostUploadInit",
  "$ref-value": {
    "properties": {
      "content_id": {
        "type": "string"
      },
      "content_upload_url": {
        "type": "string"
      },
      "post_id": {
        "type": "string"
      },
      "poster_id": {
        "type": "string"
      },
      "poster_upload_url": {
        "type": "string"
      },
      "upload_expires": {
        "type": "integer"
      }
    },
    "type": "object"
  }
}